## org.apache.xalan.xsltc.runtime
Class CallFunction

    java.lang.Object
      org.apache.xalan.xsltc.runtime.CallFunction

    public final class CallFunction

extends java.lang.Object

Resolve the function dynamically

Field Summary
`static java.lang.String` `className`
`static java.lang.Class` `clazz`
`static java.lang.String` `methodName`
`static int` `nArgs`

Constructor Summary
`CallFunction()`

Method Summary
`static java.lang.String` `invokeMethod(java.lang.String _className, java.lang.String _methodName, java.lang.Object[] _arguments)`
`static java.lang.Object` `isPrimitive(java.lang.Class paramType, java.lang.Object argument)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### className

    public static java.lang.String className

### methodName

    public static java.lang.String methodName

### nArgs

    public static int nArgs

### clazz

    public static java.lang.Class clazz

Constructor Detail

### CallFunction

    public CallFunction()

Method Detail

### invokeMethod

    public static java.lang.String invokeMethod(java.lang.String _className,
                                                java.lang.String _methodName,
                                                java.lang.Object[] _arguments)

### isPrimitive

    public static java.lang.Object isPrimitive(java.lang.Class paramType,
                                               java.lang.Object argument)

Copyright © 2005 Apache XML Project. All Rights Reserved.